Set KeepAlive to on

11/24/2014 08:40 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/405

  

Description

I've learned today that when I turn on the KeepAlive option in

httpd.conf the experience is much better, particularly on a slower VPN

connection.

We do not turn that on by default and it was reported that Foreman runs

just fine with keepalives turned on.

...default installer options snippet...

Timeout 120

KeepAlive Off

MaxKeepAliveRequests 100

KeepAliveTimeout 15

...

Let's enable this for all new instances, maybe parametrized.

Associated revisions

Revision 0a6966ce - 03/16/2016 11:26 AM - Michael Moll 

fixes #8489 - set KeepAlive On in foreman vhost

History

#1 - 01/07/2015 03:56 PM - Anonymous

https://github.com/puppetlabs/puppetlabs-apache/pull/977 would solve this.

#2 - 02/27/2016 07:49 PM - Anonymous

- Category set to Foreman modules

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/puppet-foreman/pull/405 added

As there's no 2.0 release of puppetlabs-apache, opening a PR of its own.

#3 - 03/17/2016 04:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|0a6966ce22111b1ce592b5e215a948b3734680e7.

#4 - 03/17/2016 06:13 AM - Dominic Cleal
https://github.com/puppetlabs/puppetlabs-apache/pull/977
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/0a6966ce22111b1ce592b5e215a948b3734680e7


- translation missing: en.field_release set to 136
